diff options
author | Daniel Farrell <dfarrell@redhat.com> | 2015-06-01 13:08:20 -0400 |
---|---|---|
committer | Daniel Farrell <dfarrell@redhat.com> | 2015-06-01 13:08:20 -0400 |
commit | a8669066f0e85bdde262e4eb0580875f68bd3fba (patch) | |
tree | bf341b743c65e1f0a1a8c9e03285482e5d805f0d | |
parent | 220bcb74645f5beba93282a38bac0276be199a71 (diff) |
Pin software dependency versions in Foreman deploy
Software released under 'Arno' should be pinned to at least
the major version, to guarantee API backwards compatibility.
JIRA: BGS-54
Change-Id: Iad027f1dc40b17c611ef183ffbae834b0dd1b970
Signed-off-by: Daniel Farrell <dfarrell@redhat.com>
-rwxr-xr-x | foreman/ci/deploy.sh | 19 |
1 files changed, 7 insertions, 12 deletions
diff --git a/foreman/ci/deploy.sh b/foreman/ci/deploy.sh index 87256cb..77024c6 100755 --- a/foreman/ci/deploy.sh +++ b/foreman/ci/deploy.sh @@ -186,18 +186,13 @@ done ##disable selinux /sbin/setenforce 0 -##install EPEL -if ! yum repolist | grep "epel/"; then - if ! rpm -Uvh http://dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-5.noarch.rpm; then - printf '%s\n' 'deploy.sh: Unable to configure EPEL repo' >&2 - exit 1 - fi -else - printf '%s\n' 'deploy.sh: Skipping EPEL repo as it is already configured.' -fi +# Install EPEL repo for access to many other yum repos +# Major version is pinned to force some consistency for Arno +yum install -y epel-release-7* -##install dependencies -if ! yum -y install binutils gcc make patch libgomp glibc-headers glibc-devel kernel-headers kernel-devel dkms psmisc; then +# Install other required packages +# Major versions are pinned to force some consistency for Arno +if ! yum install -y binutils-2* gcc-4* make-3* patch-2* libgomp-4* glibc-headers-2* glibc-devel-2* kernel-headers-3* kernel-devel-3* dkms-2* psmisc-22*; then printf '%s\n' 'deploy.sh: Unable to install depdency packages' >&2 exit 1 fi @@ -240,7 +235,7 @@ fi ##install Ansible if ! yum list installed | grep -i ansible; then - if ! yum -y install ansible; then + if ! yum -y install ansible-1*; then printf '%s\n' 'deploy.sh: Unable to install Ansible package' >&2 exit 1 fi |